class Node
{
  PVector pos;
  float displayRadius;
  float clickRadius;
  color col;
  String label;
  boolean active;
  
  int textSize;
  int selectedTextSize;
  
  Node(PVector pos, color col, String label){
    this.pos = pos;
    this.col = col;
    this.label = label;
    this.displayRadius = 5;
    this.clickRadius = 20;
    this.active = false;
    this.textSize = 32;
    this.selectedTextSize = 40;
  }
  
  void display(){
    fill(col);
    stroke(0);
    float rad = displayRadius;
    textSize(textSize);
    if(active){
      rad = rad * 1.2;
      textSize(selectedTextSize);
    }
    ellipse(pos.x, pos.y, rad, rad);
    /*
    // black background behind text
    fill(0);
    for(int x = -2; x <= 2; x++){
      for(int y = -2; y <= 2; y++){
        text(label, pos.x + rad * 0.8 + x, pos.y + rad * 0.8 + y);
      }
    }
    */
    fill(col);
    text(label, pos.x + rad * 0.8 + 5, pos.y + rad * 0.8);
  }
  
  boolean hit(PVector click){
    return PVector.sub(click, pos).mag() < clickRadius;
  }
  
  
}