class TextBox
{
  PVector pos;
  String label;
  String contents;
  int boxWidth;
  int boxHeight;
  boolean active;
  boolean numeric;
  
  TextBox(PVector pos, int boxWidth, String label){
    this.pos = pos;
    this.label = label;
    this.contents = "";
    this.boxWidth = boxWidth;
    this.boxHeight = 25;
    this.numeric = true;
  }
  
  void display(){
    fill(255);
    stroke(0);
    if(active){
      fill(255, 255, 0);
    }
    rect(pos.x, pos.y, boxWidth, boxHeight);

    stroke(0);
    fill(0);
    textSize(12);
    text(label + ":", pos.x + 5, pos.y + boxHeight - 8);
    text(contents, pos.x + textWidth(label + ":") + 10, pos.y + boxHeight - 8);


  }
  
  boolean hit(PVector click){
    return click.x > pos.x && 
           click.x < pos.x + boxWidth &&
           click.y > pos.y &&
           click.y < pos.y + boxHeight;
  }
  
}